Compare commits

...
Sign in to create a new pull request.

5 commits

Author SHA1 Message Date
Fedora Release Engineering
4781d7f19c dist-git conversion 2010-07-29 15:27:34 +00:00
Bill Nottingham
ac97593b41 Fix typo that causes a failure to update the common directory. (releng
#2781)
2009-11-26 01:19:20 +00:00
7053a9b449 Import from Fedora 2008-10-09 05:56:17 +00:00
e66bf75897 Initialize branch EL-5 for wv 2008-10-07 17:24:06 +00:00
Aurelien Bompard
33ed716ae4 update to 1.2.4, fixes #212696 (CVE-2006-4513) 2006-10-28 08:53:39 +00:00
13 changed files with 31 additions and 333 deletions

View file

@ -1 +0,0 @@
wv-1.2.1.tar.gz

1
.gitignore vendored Normal file
View file

@ -0,0 +1 @@
wv-1.2.4.tar.gz

View file

@ -1,21 +0,0 @@
# Makefile for source rpm: wv
# $Id$
NAME := wv
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attept a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)

View file

@ -1 +1 @@
d757080af4595839d5d82a1a573c692c wv-1.2.1.tar.gz
c1861c560491f121e12917fa76970ac5 wv-1.2.4.tar.gz

View file

@ -1,40 +0,0 @@
--- wv-1.0.0/wvConfig.c.gcc4 2005-05-08 23:17:35.000000000 -0400
+++ wv-1.0.0/wvConfig.c 2005-05-08 23:18:42.000000000 -0400
@@ -2130,7 +2130,7 @@
}
static void
-startElement (void *userData, const XML_Char *name, const XML_Char **atts)
+wvStartElement (void *userData, const XML_Char *name, const XML_Char **atts)
{
unsigned int nAtts = 0;
const XML_Char **p;
@@ -3094,7 +3094,7 @@
}
static void
-endElement (void *userData, const XML_Char *name)
+wvEndElement (void *userData, const XML_Char *name)
{
state_data *mydata = (state_data *) userData;
unsigned int token_type;
@@ -3470,8 +3470,8 @@
memset(&hdl, 0, sizeof(hdl));
hdl.getEntity = _getEntity;
- hdl.startElement = startElement;
- hdl.endElement = endElement;
+ hdl.startElement = wvStartElement;
+ hdl.endElement = wvEndElement;
hdl.characters = charData;
if (myhandle->fp)
@@ -3514,7 +3514,7 @@
size_t len;
XML_SetUserData (parser, myhandle);
- XML_SetElementHandler (parser, startElement, endElement);
+ XML_SetElementHandler (parser, wvStartElement, wvEndElement);
XML_SetCharacterDataHandler (parser, charData);
if (myhandle->fp == NULL)

View file

@ -1,11 +0,0 @@
--- wv-1.0.3/exporter/support.c.oledecod 2005-05-08 22:50:23.000000000 +0200
+++ wv-1.0.3/exporter/support.c 2005-05-08 22:50:53.000000000 +0200
@@ -10,7 +10,7 @@
#endif
#include "config.h"
#include "wv.h"
-#include "oledecod.h"
+#include "ms-ole.h"
#include "wvexporter-priv.h"

10
wv-1.2.4-pkgconfig.patch Normal file
View file

@ -0,0 +1,10 @@
--- wv-1.2.4/wv-1.0.pc.in.pkgconfig 2005-04-18 17:14:48.000000000 -0400
+++ wv-1.2.4/wv-1.0.pc.in 2008-03-30 17:42:15.000000000 -0400
@@ -1,6 +1,6 @@
prefix=@prefix@
exec_prefix=${prefix}
-libdir=${exec_prefix}/lib
+libdir=@libdir@
includedir=${prefix}/include
Name: wvWare

View file

@ -1,11 +0,0 @@
--- ./wvDocBook.in.filename 2004-05-14 07:16:27.000000000 +0200
+++ ./wvDocBook.in 2004-05-14 07:16:37.000000000 +0200
@@ -116,7 +116,7 @@
if test "x$datadir" = "x"; then
datadir=@datadir@
fi
-xmlcfg="$datadir/wv/wvDocBook.xml"
+xmlcfg="$datadir/wv/wvDocbook.xml"
if test -r "$xmlcfg"; then
okay=yes
else

View file

@ -1,70 +0,0 @@
Index: field.c
===================================================================
RCS file: /cvsroot/wv/field.c,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -r1.19 -r1.20
--- field.c 29 Dec 2002 16:37:00 -0000 1.19
+++ field.c 5 Jul 2004 18:10:03 -0000 1.20
@@ -98,18 +98,21 @@
case 1:
sprintf (temp, "%d", current->tm_mon+1);
strcat (timestr, temp);
+ consumed += strlen (temp);
break;
case 2:
strcat (timestr, "%m");
+ consumed += 2;
break;
case 3:
strcat (timestr, "%b");
+ consumed += 2;
break;
default:
strcat (timestr, "%B");
+ consumed += 2;
break;
}
- consumed += 2;
break;
case 's':
case 'S':
@@ -139,6 +142,7 @@
case 1:
consumed += sprintf (temp, "%d", current->tm_wday);
strcat (timestr, temp);
+ consumed += strlen (temp);
break;
case 2:
strcat (timestr, "%d");
@@ -182,12 +186,13 @@
case 1:
sprintf (temp, "%d", current->tm_hour % 12);
strcat (timestr, temp);
+ consumed += strlen (temp);
break;
default:
strcat (timestr, "%I");
+ consumed += 2;
break;
}
- consumed += 2;
break;
case 'H':
no = lookahead (token, 'H', 'H');
@@ -197,6 +202,7 @@
case 1:
consumed += sprintf (temp, "%d", current->tm_hour);
strcat (timestr, temp);
+ consumed += strlen (temp);
break;
default:
strcat (timestr, "%H");
@@ -212,6 +218,7 @@
case 1:
consumed += sprintf (temp, "%d", current->tm_min);
strcat (timestr, temp);
+ consumed += strlen (temp);
break;
default:
strcat (timestr, "%M");

View file

@ -1,12 +0,0 @@
--- ./wvDVI.in.copy 2004-05-14 07:27:41.000000000 +0200
+++ ./wvDVI.in 2004-05-14 07:29:43.000000000 +0200
@@ -299,5 +299,7 @@
exit 1
fi
-cp -f "$name".dvi "$o_file"
-rm -f "$name".dvi
+if [ "$name".dvi != "$o_file" ]; then
+ cp -f "$name".dvi "$o_file"
+ rm -f "$name".dvi
+fi

View file

@ -1,55 +0,0 @@
--- ./wvMime.tmp-filename 2004-05-14 07:18:23.000000000 +0200
+++ ./wvMime 2004-05-14 08:18:18.000000000 +0200
@@ -42,34 +42,37 @@
# temporary PS file, mangled to get some sort
# of semi-uniqueness
-FILE=`basename ${1}`
-TMPDIR="/tmp/${FILE}-${USER}-${$}"
-TMPPS="$TMPDIR/${FILE}-${USER}-${$}.ps"
-
-mkdir $TMPDIR
+FILE="`basename "${1}"`"
+TMPDIR=$(mktemp -d /tmp/wvMime.XXXXXXXX) || { echo "$0: can not create temporary directory" >& 2; exit 1; }
+TMPPS="$TMPDIR/tmp.ps"
+TMPFILE="$TMPDIR/tmpfile"
+TMPTEX="$TMPDIR/tmp.tex"
+#TMPPS="$TMPDIR/${FILE}-${USER}-${$}.ps"
# Make sure all graphics go into /tmp as well
-cp ${1} $TMPDIR/$FILE
+cp "${1}" "$TMPFILE"
# Extract graphics
-wvLatex "$TMPDIR/$FILE" "$TMPDIR/$FILE.tex" 2>/dev/null >/dev/null
+wvLatex "$TMPFILE" "$TMPTEX" 2>/dev/null >/dev/null
# Graphics conversion if make_epses.sh installed:
-STEM=$TMPDIR/`basename ${1} .doc`
-type make_epses.sh 2>&1 >/dev/null
- if [ ${?} -eq "0" ]; then
- (cd $TMPDIR; make_epses.sh $STEM)
- fi
+#STEM=$TMPDIR/"`basename "${1}" .doc`"
+#type make_epses.sh >/dev/null 2>&1
+# if [ ${?} -eq "0" ]; then
+# (cd $TMPDIR; make_epses.sh $STEM)
+# fi
-wvPS $TMPDIR/$FILE ${TMPPS}
+cd $TMPDIR
+wvPS `basename $TMPFILE` `basename ${TMPPS}`
if [ ${?} -ne "0" ]; then
echo "Could not translate into Postscript"
+ rm -rf $TMPDIR
exit 1
fi
# call our ghost-viewer
-${GV} ${TMPPS}
-rm -f ${TMPPS}
+${GV} "${TMPPS}"
+rm -f "${TMPPS}"
cd /
rm -rf $TMPDIR

View file

@ -1,107 +0,0 @@
--- wvText.in
+++ wvText.in
@@ -3,24 +3,50 @@
prefix=@prefix@
exec_prefix=@exec_prefix@
datadir=@datadir@
-tmpdir=/tmp
+tmpdir=$(mktemp -d /tmp/wvText.XXXXXXXX) || { echo "$0: can not create temporary directory" >& 2; exit 1; }
+i_file=
+o_file=
# argument checking
-if [ ${#} -ne "2" ]; then
- echo "Usage: ${0} <word document> <text output file>"
+
+case ${#} in
+ 1)
+ i_file=${1}
+ o_file=-
+ ;;
+ 2)
+ i_file=${1}
+ o_file=${2}
+ ;;
+ *)
+ echo "Usage: `basename ${0}` <word document> [<text output file>]"
exit 1
-fi
+ ;;
+esac
# start out optimistic
-USING_LYNX=1
-which lynx >/dev/null 2>&1
-if [ ${?} -ne "0" ]; then
- echo "Could not find required program 'lynx'"
- echo "Not using lynx. Ouput will be pretty bad."
- USING_LYNX=0
-fi
+USING_BROWSER=1
+BROWSER_CMD="w3m -dump -T text/html"
+browser=none
+
+which lynx >& /dev/null && browser=lynx
+which w3m >& /dev/null && browser=w3m
+
+case $browser in
+ w3m)
+ BROWSER_CMD="w3m -dump -T text/html"
+ ;;
+ lynx)
+ BROWSER_CMD="lynx -dump -force_html"
+ ;;
+ *)
+ echo "Neither w3m nor lynx found"
+ echo "Output will be pretty bad."
+ USING_BROWSER=0
+ ;;
+esac
-if [ ${USING_LYNX} -ne "0" ]; then
+if [ ${USING_BROWSER} -ne "0" ]; then
# first, test for wvHtml
which wvHtml >/dev/null 2>&1
@@ -32,25 +58,34 @@
# intermediate file
TMP_FILE="wv$$.html"
- wvHtml "${1}" --targetdir="${tmpdir}" "${TMP_FILE}" >/dev/null 2>&1
+ wvHtml "$i_file" --targetdir="${tmpdir}" "${TMP_FILE}" >/dev/null 2>&1
if [ ${?} -ne "0" ]; then
- echo "Could not convert into HTML"
+ echo "Could not convert $i_file into HTML"
exit 1
fi
# lynx actually does quite well
- TERM=vt100 lynx -dump -force_html "${tmpdir}/${TMP_FILE}" > "${2}"
+ # Output to stdout requested
+ if test "x$o_file" = "x-"; then
+ TERM=vt100 ${BROWSER_CMD} "${tmpdir}/${TMP_FILE}"
+ else
+ TERM=vt100 ${BROWSER_CMD} "${tmpdir}/${TMP_FILE}" > "$o_file"
+ fi
if [ ${?} -ne "0" ]; then
- echo "Could not convert into Text"
+ echo "Could not convert $i_file into Text"
exit 1
fi
# clean up
- rm -f "${tmpdir}/${TMP_FILE}"
+ rm -rf "${tmpdir}"
else
# fall back onto our cruddy output
# this is, admittedly, better than running
# 'strings' on the word document though :)
- wvWare -x ${datadir}/wv/wvText.xml "${1}" > "${2}"
+ if test "x$o_file" = "x-"; then
+ wvWare -x ${datadir}/wv/wvText.xml "$i_file"
+ else
+ wvWare -x ${datadir}/wv/wvText.xml "$i_file" > "$o_file"
+ fi
fi

23
wv.spec
View file

@ -1,15 +1,16 @@
Name: wv
Summary: MSWord 6/7/8/9 binary file format to HTML converter
Version: 1.2.1
Release: 7%{?dist}
License: GPL
Version: 1.2.4
Release: 4%{?dist}
License: GPLv2+
Group: Applications/Text
URL: http://wvware.sourceforge.net
Source: http://dl.sf.net/wvware/wv-1.2.1.tar.gz
Source: http://dl.sourceforge.net/wvware/wv-%{version}.tar.gz
#Patch0: wv-wvtext-tmp.patch
#Patch1: wv-1.0.3-oledecod.patch
#Patch2: wv-1.0.3-gcc4.patch
Patch5: wv-1.0.0-rhbug150461.patch
Patch6: wv-1.2.4-pkgconfig.patch
BuildRequires: glib2-devel
BuildRequires: libjpeg-devel
@ -45,6 +46,7 @@ This package contains the development files
#%patch1 -p1 -b .oledecod
#%patch2 -p1 -b .gcc4
%patch5 -p1 -b .printf-rhbug150461
%patch6 -p1 -b .pkgconfig
%build
@ -85,6 +87,19 @@ rm -rf $RPM_BUILD_ROOT
%changelog
* Sun Mar 30 2008 Michel Salim <michel.sylvan@gmail.com> - 1.2.4-4
- fix libdir in wv's pkgconfig entry
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.4-3
- Autorebuild for GCC 4.3
* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.2.4-2
- fix license tag
- rebuild for BuildID
* Sat Oct 28 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.2.4-1
- update to 1.2.4, fixes #212696 (CVE-2006-4513)
* Fri Sep 08 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.2.1-7
- rebuild (releases 1 to 7, cvs problem)